% Aufgabe 13 a)

% Schwermetallkonzentration im Wasser
lambda = 3.0;

% Abklingkoeffizient r fuer die Uebergaenge [1/h]
r = 0.1; % Wasser <--> Puffer


% "Gemessene" Daten aus der Tabelle.
h = [ 0,  6, 12, 18, 24, 30, 36, 48, 72, 96 ].';
c = [ 0, 15, 21, 25, 27, 23, 21, 18, 15, 13 ].';


Tges = 96;  % Simulationsdauer [h]
T    = 24;  % Dauer der Schwermetallaufnahme [h]

% "Eingangssignal" / Schwermetallaufnahme aus dem Wasser.
sigIn = [ lambda .* ones(T, 1); zeros(Tges-T, 1) ];

% Startwert fuer das Schwermetall in den "Krebschen".
S = 0;

% Simulation ueber mehrere Stunden
for( t = [1 : Tges] )

    Sab = r * S(end);
    Szu = sigIn(t);

    S(end+1) = S(end) + Szu - Sab;

end % end of: for( t = [1 : T] )

% Den Verlauf der Simulation als Grafik anzeigen.
figure, hold on;
plot([0:Tges], S);
plot(h, c','ko');